<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Documento sin título</title>
</head>

<body>
</body>
</html>
<?php 
  //comenzamos recogiendo los datos
function recogeDato($campo){ 
     return isset($_REQUEST[$campo])?$_REQUEST[$campo]:'';
 } //la función recogeDatos comprueba si se ha recibido un dato y recoge su valor
  
 //si no se ha recibido, le asigna un valor vacío.
 $email1    = recogeDato('email1');
 $email2    = recogeDato('email2'); //asignamos cada valor a una variable
 $nombre    = recogeDato('nombre');
 $telefono   = recogeDato('telefono');
 $min   = recogeDato('min');
 $dia   = recogeDato('dia');
 $d   = recogeDato('d');
 $hora   = recogeDato('hora');
 $pax   = recogeDato('pax');
 $consulta = recogeDato('consulta');
 $algunerror = FALSE;
 
//una vez recogidos, los validamos (campos obligatorios, etc...)
if($email1==''){ //validamos los que el email no esté vacio
     $algunerror = TRUE; //si encontramos un error,mostramos un mensaje
     echo "<p class=\"erroneo\">No has introducido tu eMail</p>\n";
 } elseif($email1!=$email2){ //si tiene algo, que concida con la repetición
     $algunerror = TRUE;
     echo "<p class=\"erroneo\">Los eMails introducidos no coinciden.</p>\n";
 }
 if($nombre==''){ //comprobamos que el nombre no haya quedado vacío
     $algunerror = TRUE;
     echo "<p class=\"erroneo\">No has introducido tu nombre.</p>\n";
 }
  if ($algunerror){ //comprobamos si ha habido algún error
     echo "<p>&nbsp;</p>\n"; //si los hay, se lo indicamos al usuario
     echo "<p>No se ha podido enviar el mensaje por los errores que se detallan arriba.</p>\n";
     echo "<p>Por favor, vuelve a rellenar el formulario.</p>\n";
     echo "<p class=\"centrado\"><a href=\"Contacts.html\">Volver al formulario</a></p>\n";
  }else{
     $para="reservas-alcala@lamanodepablo.com"; //si todo es correcto, enviamos el correo
     $asunto="Reservas ALCALA ".$referente;
     $mensaje="Datos de la Reserva:\n". //creamos el mensaje con los datos
     "Nombre: ".$nombre." \n".
	 "Teléfono:  ".$telefono."\n".
     "eMail:  ".$email1."\n".
     "Hora: ".$hora." \n".
     "minuto: ".$min." \n".
     "Día: ".$dia." \n".
	 "nº: ".$d." \n".
	 "Comensales: ".$pax." \n".
     "Observación: ".$consulta;
     mail($para, $asunto, $mensaje); //y lo enviamos
     echo "<p>Tu mensaje se ha enviado correctamente. Gracias por reservar en La Mano de Pablo.</p>\n";
     echo "<p>Recuerda que la reserva no se hará efectiva hasta que no te confirmemos vía e-mail o teléfono.</p>\n";
	 echo "<p>Nos pondremos en contacto lo antes posible.</p>\n";
	 echo "<p class=\"centrado\"><a href=\"index.html\">Volver</a></p>\n";

  }